/*----------------------------------------------------------------------------*/
// COPYRIGHT(C) FUJITSU LIMITED 2011
/*----------------------------------------------------------------------------*/
#define READ_BDADDR_FROM_NV
//#define DEBUG_READ_BDADDR_FROM_NV

#ifdef READ_BDADDR_FROM_NV
#include "oncrpc_init.h"
#include "comdef.h"
#include "nv.h"
#endif // READ_BDADDR_FROM_NV

#include <stdio.h>
#include <string.h>

#ifdef DEBUG_READ_BDADDR_FROM_NV
int write_macaddr()
{
	nv_stat_enum_type  cmd_result;
	nv_item_type  nv_item_data;
	int i;

	for( i=0; i<6 ;i++ )
		{
		nv_item_data.bd_addr.bd_addr[i] = 0xF0+i;
		}
	cmd_result = nv_cmd_remote( NV_WRITE_F, NV_BD_ADDR_I, &nv_item_data );

	return cmd_result;
}
#endif // DEBUG_READ_BDADDR_FROM_NV

int read_macaddr(char* addr_buf)
{
	char default_addr[6] = {0x00,0x00,0x00,0x00,0x00,0x00};
#ifdef READ_BDADDR_FROM_NV
	nv_stat_enum_type cmd_result;
	nv_item_type nv_item_data;

	oncrpc_init();
	oncrpc_task_start();

#ifdef DEBUG_READ_BDADDR_FROM_NV
    /* NV */
	write_macaddr();
#endif // DEBUG_READ_BDADDR_FROM_NV

	cmd_result = nv_cmd_remote( NV_READ_F, NV_BD_ADDR_I, &nv_item_data );
	if (cmd_result)
		{
		memcpy(addr_buf, default_addr, sizeof(default_addr));
		return cmd_result;
		}
	else
		{
		memcpy(addr_buf, nv_item_data.bd_addr.bd_addr, sizeof(nv_item_data.bd_addr.bd_addr));
		}
#else // READ_BDADDR_FROM_NV
	memcpy(addr_buf, default_addr, sizeof(default_addr));
#endif // READ_BDADDR_FROM_NV

	return 0;
}

int main()
{
	int result;
	char buf[6]={0};

	result = read_macaddr(buf);
	fprintf(stderr, "%02x:%02x:%02x:%02x:%02x:%02x", buf[5], buf[4], buf[3], buf[2], buf[1], buf[0]);
	return result;
}

